package com.example.demo.entity;

import javax.persistence.*;
import com.example.demo.dto.MemberDto;
import com.example.demo.constant.Role;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Entity
@Table(name="member")
@Getter
@Setter
@ToString
public class Member {

    @Id
    @Column(name="member_id")
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;

    private String name;

    @Column(unique = true)
    private String email;

    private String password;

    private String address;

    @Enumerated(EnumType.STRING)
    private Role role;

    public static Member createMember(MemberDto memberDto){
        Member member = new Member();
        member.setName(memberDto.getName());
        member.setEmail((memberDto.getEmail()));
        member.setAddress((memberDto.getAddress()));
        member.setPassword(memberDto.getPassword());
        member.setRole(Role.USER);
        return member;

    }
}
